<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-16 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="229" align="left" background="images/xww_03.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="530"><img src="images/header.jpg" width="530" height="229" alt="" /></td>
        <td width="100%" style="background-image: url(images/xww_02.jpg);
	background-repeat: no-repeat;
	background-position: left top;">
	<!-- END LOGO -->
		<table width="250" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/xww_06.jpg" height="13"><table width="100%" height="13" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="24%" height="13" align="left" valign="top"><img src="images/xww_05.jpg" width="33" height="13" alt="" /></td>
                <td width="76%" height="13" align="right"><img src="images/xww_08.jpg" width="36" height="13" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td background="images/xww_14.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="13" valign="top" background="images/xww_17.jpg"><img src="images/xww_09.jpg" width="13" height="28" alt="" /></td>
                <td width="100%" rowspan="2" align="center"><table width="200" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  </tr>
                  <tr>
                    <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                  <tr>
                    <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
                <td width="13" rowspan="2" valign="top" background="images/xww_18.jpg"><img src="images/xww_12.jpg" width="13" height="35" alt="" /></td>
              </tr>
              <tr>
                <td valign="bottom" background="images/xww_17.jpg"><img src="images/xww_21.jpg" width="13" height="25" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td background="images/xww_23.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="73%" height="14"><img src="images/xww_22.jpg" width="44" height="14" alt="" /></td>
                <td width="27%" align="right"><img src="images/xww_26.jpg" width="31" height="14" alt="" /></td>
              </tr>
            </table></td>
          </tr>
          </table>
	<!-- END LOGO -->
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="60" background="images/xww_31.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="87"><img src="images/xww_29.jpg" width="87" height="60" alt="" /></td>
        <td width="100%" align="left" style="background-image: url(images/xww_30.jpg);
	background-repeat: no-repeat; background-position: left top; padding-left: 20px; padding-bottom: 4px;">
<!-- END MENU -->	
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
		</td>
      </tr>
    </table>
<!-- END MENU -->
	</td>
  </tr>
  <tr>
    <td valign="top" background="images/xww_49.jpg" width="100%" height="100%"><table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="86" height="7" valign="top" background="images/xww_33.jpg"></td>
        <td width="1" rowspan="2" valign="top" background="images/xww_36.jpg"><img src="images/xww_36.jpg" width="1" height="401" alt="" /></td>
        <td width="100%" height="7" background="images/xww_33.jpg"><img src="images/xww_33.jpg" width="269" height="7" alt="" /></td>
        <td width="1" rowspan="2" valign="top" background="images/xww_36.jpg"><img src="images/xww_36.jpg" width="1" height="401" alt="" /></td>
        <td width="154" height="7" valign="top" background="images/xww_33.jpg"></td>
      </tr>
      <tr>
        <td valign="top" background="images/xww_48.jpg" width="86">
		<table width="86" height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" style="background-image: url(images/xww_35.jpg);
	background-repeat: no-repeat;
	background-position: top;"><img src="images/spacer.gif" width="86" height="100" /></td>
          </tr>
        </table>
		</td>
      <td width="100%" height="100%" valign="top" background="images/xww_52.jpg"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="100%" height="100%" valign="top" style="background-image: url(images/xww_41.jpg);
	background-repeat: repeat-x;
	background-position: center top; padding: 30px;">
	<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/xww_44.jpg" width="19" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%"  valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
	</td>
        </tr>
      </table></td>
      <td width="154" height="100%" align="center" valign="top" style="background-image: url(images/xww_38.jpg);
	background-repeat: repeat-x;
	background-position: top;"><table width="100" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="185"><img src="images/spacer.gif" width="185" height="10" /></td>
        </tr>
		<tr><td align="center">
		<!-- END SUBMENU -->
		<table width="150"  border="0" cellspacing="0" cellpadding="0">
		  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
        </table>
<!-- END SUBMENU -->
		</td>
		</tr>
      </table>
        </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="90" background="images/xww_60.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="90" style="background-image: url(images/xww_59.jpg);
	background-repeat: no-repeat;
	background-position: ledt top; padding-left: 100px; padding-right: 200px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left">
<!-- END BOOTTOM MENU -->
			<table border="0" cellspacing="0" cellpadding="0">
              <tr>
			  <xsl:call-template name="BOTTOM-MENU"/>
              </tr>
            </table>
<!-- END BOOTTOM MENU -->
			</td>
          </tr>
          <tr>
            <td><img src="images/spacer.gif" width="185" height="8" /></td>
          </tr>
          <tr>
            <td align="left" class="footer">
			<!-- FOOTER -->
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			<!-- END FOOTER -->
			</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td width="30" align="center"><img src="images/sub.gif" width="16" height="15" /></td>
            <td width="120" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="30" align="center"><img src="images/sub.gif" width="16" height="15" /></td>
            <td width="120"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td colspan="2" height="15"><img src="images/subline.gif" width="150" height="1" /></td>
            </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td  align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td  align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	       <td width="30" align="center"><img src="images/bm.gif" width="4" height="4" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
