<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <!--MENU-->
  <xsl:template match="MENU" mode="top">
    <xsl:apply-templates select="MENU-ITEM"  mode="top"/>
  </xsl:template>

  <!--MENU-ITEM-->
  <xsl:template match="MENU-ITEM"  mode="top">
    <xsl:choose>
      <!-- active menu with link-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td height="36px" style="padding-left:5px; padding-right:5px;vertical-align: middle ">
          <a class="menu" href="{@HREF}" style="vertical-align: middle">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      
      
      <xsl:otherwise>
        <td height="36px" style="padding-left:5px; padding-right:5px; vertical-align: middle">
          <a class="amenu" href="{@HREF}" style="vertical-align: middle">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td height="36px" style="vertical-align: middle">
        <img src="images/topmenu.gif"  border="0"/>
      </td>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
        