<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td>
					<table border="0" cellspacing="0" cellpadding="0">
						  <tr>
								<td width="10" height="7" ><img src="images/xww_08.jpg" width="10" height="7" alt="" /></td>
								<td width="100%" background="images/xww_13.jpg"></td>
								<td width="9" align="right"><img src="images/xww_10.jpg" width="9" height="7" alt="" /></td>
						  </tr>
						  <tr>
							<td colspan="3" align="center" background="images/xww_13.jpg" style="padding-right: 8px; padding-left: 8px;">
								<table border="0" cellspacing="0" cellpadding="0">
									<tr>
									<td width="20" align="right" style="padding-right: 6px; padding-left: 3px;"><img src="images/bullet.gif" /></td>
									<td><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
								     </tr>
								 </table>
								</td>
						  </tr>
						  <tr>
							<td width="10"><img src="images/xww_16.jpg" width="10" height="8" alt="" /></td>
							<td width="100%" background="images/xww_13.jpg"></td>
							<td align="right" width="9"><img src="images/xww_18.jpg" width="9" height="8" alt="" /></td>
						  </tr>
					</table>
</td>
            </xsl:when>
            
            
            <xsl:otherwise>
 <td>
				<table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="10" height="7"><img src="images/spacer.gif" width="10" height="7" /></td>
                <td width="100%"></td>
                <td width="9" align="right"><img src="images/spacer.gif" width="9" height="7" /></td>
              </tr>
              <tr>
                <td colspan="3" align="center" style="padding-right: 8px; padding-left: 8px;">
				<table border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="20" align="right" style="padding-right: 6px; padding-left: 3px;"><img src="images/bullet2.gif" /></td>
					  <td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    </tr>
                </table></td>
              </tr>
              <tr>
                <td width="10"><img src="images/spacer.gif" width="10" height="8" /></td>
                <td width="100%"></td>
                <td align="right" width="9"><img src="images/spacer.gif" width="9" height="8" /></td>
              </tr>
            </table>
	      </td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			 <td><img src="images/spacer.gif" width="20" height="7" /></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
