<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- zeug-01 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
  <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/sum_44.jpg);">
    <tr>
      <td height="100%" valign="top" style="background-image: url(images/sum_01.jpg);
	background-repeat: repeat-x; background-position: center top;">
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td width="70" height="100"><img src="images/spacer.gif" width="70" height="10" alt="" /></td>
          <td width="100%"><table width="100%" height="42"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="310"><img src="images/spacer.gif" width="310" height="3" alt="" /></td>
              <td width="100%" rowspan="2" align="center">
<!-- MENU -->
			  <table border="0" cellspacing="0" cellpadding="0">
                <tr>
				  <xsl:call-template name="TOP-MENU"/>
                </tr>
              </table>
	<!-- END MENU -->
			  </td>
            </tr>
            <tr>
              <td align="right">
			<!-- LOGO -->
			  <table width="240" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="30" rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td width="210" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                </tr>
                <tr>
                  <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                </tr>
              </table>
		<!-- END LOGO -->
			  </td>
            </tr>
          </table></td>
          <td width="100" height="100"><img src="images/spacer.gif" width="100" height="10" alt="" /></td>
        </tr>
        <tr>
          <td><img src="images/spacer.gif" width="70" height="10" alt="" /></td>
          <td width="100%" height="233" background="images/headerbg.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="59" height="233" align="left" valign="top"><img src="images/sum_12.jpg" width="59" height="233" alt="" /></td>
              <td width="100%" height="233" align="center" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td height="233" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: center center;"></td>
                </tr>
              </table></td>
              <td width="18" valign="top"><img src="images/sum_18.jpg" width="18" height="233" alt="" /></td>
            </tr>
          </table></td>
          <td width="100" height="114"><img src="images/spacer.gif" width="100" height="10" alt="" /></td>
        </tr>
		   <tr>
          <td></td>
          <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="204" valign="top" style="background-image: url(images/bbg.jpg);
	background-repeat: repeat-y;
	background-position: right top;"><table width="204" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td background="images/sum_26.gif"><img src="images/spacer.gif" width="204" height="20" alt="" /></td>
                </tr>
                <tr>
                  <td height="150" align="right" valign="top" background="images/sum_26.gif">
		<!-- SUBMENU -->
				  <table width="185" border="0" cellspacing="0" cellpadding="0">
				  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                  </table>
<!-- END SUBMENU -->
				  </td>
                </tr>
                <tr>
                  <td><img src="images/sum_35.gif" width="204" height="42" /></td>
                </tr>
				 <tr>
                  <td valign="top"><img src="images/spacer.gif" width="204" height="50" alt="" /></td>
                </tr>
              </table>
			  </td>
              <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF"  style="padding: 25px; background-image: url(images/sum_37.gif);
	background-repeat: no-repeat;
	background-position: right bottom;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" name="SB_stretch" class="pageContent" style="vertical-align: top;"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT --></td>
            </tr>
          </table> </td>
          <td></td>
        </tr>
				   <tr>
          <td><img src="images/spacer.gif" width="70" height="95" alt="" /></td>
          <td valign="top"><div align="center">
		    <br/>
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td>
				<!-- FOOTER -->
		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
	            <!-- BOOTTOM MENU -->
				</td>
                </tr>
            </table>
          </div></td>
          <td></td>
        </tr>
		
      </table></td>
    </tr>
  </table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    <tr>
        <td width="150" align="left" style="padding: 7px" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
       <td width="35" align="left"><img src="images/sum_28.jpg" width="15" height="6" alt="" /></td>
   </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    <tr>
        <td width="150" align="left" style="padding: 7px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       <td width="35" align="left"><img src="images/sum_28.jpg" width="15" height="6" alt="" /></td>
   </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
  <tr>
     <td colspan="2"><img src="images/sum_32.jpg" width="168" height="12" alt="" /></td>
 </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			   <td width="20"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
