<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- xww-15 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/xww_50.jpg">
  <tr>
    <td height="192" align="left" background="images/xww_02.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="192" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left; padding-left: 20px;">
<!-- END LOGO -->
	<table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="223"><img src="images/xww_03.jpg" width="223" height="46" alt="" /></td>
        <td width="100%" align="center" background="images/xww_05.jpg">
<!-- MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="59"><img src="images/xww_09.jpg" width="59" height="46" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" background="images/xww_50.jpg" height="100%" ><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="200" height="250" valign="top" style="background-image: url(images/xww_53.jpg);
	background-repeat: no-repeat;
	background-position: bottom;"><table width="200"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="32" valign="top" style="background-image: url(images/xww_17.jpg);
	background-repeat: no-repeat;
	background-position: top;"><img src="images/spacer.gif" width="32" height="10" /></td>
            <td width="157" valign="top"><table width="157"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td><img src="images/xww_18.jpg" width="157" height="42" alt="" /></td>
              </tr>
              <tr>
                <td valign="top" background="images/xww_44.jpg">
<!-- END SUBMENU -->
				<table width="157" border="0" cellspacing="0" cellpadding="0">
           <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table>
<!-- END SUBMENU -->
				</td>
              </tr>
              <tr>
                <td><img src="images/xww_46.jpg" width="157" height="28" alt="" /></td>
              </tr>
            </table>
			</td>
            <td width="11" valign="top" style="background-image: url(images/xww_17.jpg);
	background-repeat: no-repeat;
	background-position: top;"><img src="images/spacer.gif" width="11" height="10" /></td>
          </tr>
        </table></td>
        <td width="100%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="226"><img src="images/xww_20.jpg" width="226" height="42" alt="" /></td>
            <td width="100%" background="images/xww_21.jpg"></td>
            <td width="147"><img src="images/xww_22.jpg" width="147" height="42" alt="" /></td>
          </tr>
        </table>
          <table width="100%"  border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td width="20" background="images/xww_24.jpg"><img src="images/xww_24.jpg" width="20" height="27" alt="" /></td>
              <td width="100%" height="100%" valign="top" bgcolor="#FFFFFF">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td style="padding-left: 5px;"><img src="images/xww_25.jpg" width="11" height="11" alt="" /></td>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		  		</tr>
			</table>

			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%"><tr><td name="SB_stretch" class="pageContent"  width="100%" height="100%"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT -->
			  
			  </td>
              <td width="31" valign="top" background="images/xww_34.jpg"><img src="images/xww_34.jpg" width="31" height="38" alt="" /></td>
              <td width="28" valign="top"><img src="images/xww_28.jpg" width="28" height="213" alt="" /></td>
            </tr>
          </table>
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="41"><img src="images/xww_54.jpg" width="41" height="31" alt="" /></td>
              <td width="100%" background="images/xww_55.jpg"></td>
              <td width="36"><img src="images/xww_57.jpg" width="36" height="31" alt="" /></td>
              <td width="28"><img src="images/spacer.gif" width="28" height="10" /></td>
            </tr>
          </table>
		  </td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="117" style="background-image: url(images/xww_58.jpg);
	background-repeat: no-repeat;
	background-position: left;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="200"><img src="images/spacer.gif" width="200" height="10" /></td>
        <td width="100%">
<!-- END BOOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		    <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
      <td width="100"><img src="images/spacer.gif" width="50" height="10" /></td>
      </tr>
      <tr>
        <td></td>
        <td valign="top">
<!-- FOOTER -->
	<div align="left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->
		
		</td>
      <td></td>
      </tr>
    </table></td>
  </tr>
</table>


</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                  <tr>
                    <td background="images/xww_36.jpg"><img src="images/xww_37.jpg" width="29" height="7" alt="" /></td>
                    <td style="background-image: url(images/xww_36.jpg);
	background-repeat: repeat-y;
	background-position: right; padding-top: 5px;
	padding-bottom: 5px;"  class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
                  <tr>
                    <td width="30"><img src="images/xww_41.jpg" width="29" height="7" alt="" /></td>
                    <td width="127" style="padding-top: 5px; padding-bottom: 5px;">
					 <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
                  </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
       <tr>
          <td colspan="2"><img src="images/xww_30.jpg" width="157" height="1" alt="" /></td>
       </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td><div align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
        <td ><div align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
   <td style="padding:0 10px"><img src="images/bm.gif"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
