<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
<!-- xww-20 -->
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link rel="stylesheet" href="css/styles.css" type="text/css" />
      </head>
      <body leftmargin="0" topmargin="0" rightmargin="0" bottommargin="0">
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" class="main-bg">
	<tr>
		<td height="271">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
					<td height="271">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td height="176">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100">
										<tr>
											<td width="17" height="100%" style="vertical-align: top;">
												<table cellpadding="0" cellspacing="0" border="0" width="17" height="100%">
													<tr>
														<td style="background-image: url(images/XWW-20_01.jpg);" height="82"></td>
													</tr>
													<tr>
														<td style="background-image: url(images/1.jpg); vertical-align: top; background-repeat: repeat" height="100%">
															<div style="width: 17px;"></div>
														</td>
													</tr>
													<tr>
														<td style="background-image: url(images/2.jpg); vertical-align: top; background-repeat: repeat-x;" height="49"></td>
													</tr>
												</table>
											</td>
											<td style="vertical-align: top;" width="51" height="100%">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
													<tr>
														<td style="background-image: url(images/XWW-20_02.jpg); background-repeat: no-repeat;" height="82"></td>
													</tr>
													<tr>
														<td style="background-image: url(images/3.jpg); background-repeat: repeat" height="100%"></td>
													</tr>
													<tr>
														<td style="background-image: url(images/4.jpg); background-repeat: repeat-x" height="49"></td>
													</tr>
												</table>
											</td>
											<td height="176">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
													<tr>
														<td width="47">
															<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						                                        <tr>
						                                            <td style="background-image: url(images/XWW-20_03.jpg); background-repeat: no-repeat" height="59" width="47">
						                                                <div style="width: 47px; height: 59px"></div>
						                                            </td>
						                                        </tr>
						                                        <tr>
						                                            <td style="background-image: url(images/XWW-20_09.jpg); background-repeat: repeat-y" width="47" height="100%">
						                                                <div style="width: 47px; height: 23px"></div>
						                                            </td>
						                                        </tr>
						                                        <tr>
						                                            <td style="background-image: url(images/XWW-20_11.jpg); background-repeat: no-repeat" height="94"  width="47">
						                                                <div style="width: 47px; height: 94px"></div>
						                                            </td>
						                                        </tr>
															</table>
														</td>
														<td>
															<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
																<tr>
																	<td valign="middle" align="center" style="background-image: url(images/XWW-20_04.jpg); background-repeat: repeat-x" class="topmenu-bg">
																		<table cellpadding="0" cellspacing="0" border="0">
						                                                    <tr>
						                                                        <td>
						                                                            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						                                                                <tr>
						                                                                    <td height="43">
						                                                                        <div style="width:5px"></div>
						                                                                    </td>
						                                                                    <td style="vertical-align: middle; text-align: center" width="43" height="43"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0"/></a></td>
						                                                                    <td height="43">
																								<div style="width:5px"></div>
						                                                                    </td>
						                                                                </tr>
						                                                            </table>
						                                                        </td>
						                                                    </tr>
						                                                    <tr>
						                                                        <td >
						                                                            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						                                                                <tr>
						                                                                    <td class="company">
						                                                                      <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
						                                                                    </td>
						                                                                </tr>
						                                                                <tr>
						                                                                    <td class="slogan">
						                                                                      <xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
						                                                                    </td>
						                                                                </tr>
						                                                           </table>
						                                                        </td>
						                                                    </tr>
																		</table>
																	</td>
																</tr>
						                                        <tr>
						                                            <td style="background-repeat: repeat-x" height="14">
						                                                <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
						                                                  <tr>
						                                                    <td style="background-image: url(images/XWW-20_13.jpg); background-repeat: no-repeat;" width="112"></td>
						                                                    <td style="background-image: url(images/XWW-20_14.jpg); background-repeat: repeat-x; vertical-align: top;"><div style="width: 13px; height: 1px;"><span></span></div></td>
						                                                    <td style="background-image: url(images/XWW-20_15.jpg); background-repeat: repeat-x;" width="8"></td>
						                                                  </tr> 
						                                                </table>
						                                            </td>
						                                        </tr>
						                                        <tr>
						                                            <td style="background-image: url(images/XWW-20_16.jpg); background-repeat: repeat-x;" height="49">
						                                                <div style="width: 132px; height: 49px"></div>
						                                            </td>
						                                        </tr>
															</table>
														</td>
						                                <td width="43">
						                                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
																<tr>
																	<td style="background-image: url(images/XWW-20_06.jpg);" height="59">
																		<div style="width: 43px; height: 59px"></div>
																	</td>
																</tr>
																<tr>
																	<td style="background-image: url(images/XWW-20_10.jpg)">
																		<div style="width: 43px; height: 23px"></div>
																	</td>
																</tr>
																<tr>
																	<td height="94">
																		<div style="width: 43px; height: 94px; background-image: url(images/XWW-20_12.jpg);"></div>
																	</td>
															   </tr>
						                                    </table>
						                                </td>
													</tr>
												</table>
											</td>
				                            <td width="179" height="100%">
				                                <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
					                                  <tr>
					                                    <td height="102" style="background-image: url(images/XWW-20_07.jpg); background-repeat: no-repeat;"></td>
					                                  </tr>
					                                  <tr>
					                                    <td style="background-image: url(images/5.jpg); background-repeat: repeat" height="100%"></td>
					                                  </tr>
					                                  <tr>
					                                    <td style="background-image: url(images/6.jpg); background-repeat: repeat-x;" height="49"></td>
					                                  </tr>
				                                </table>
				                            </td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="95">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<tr>
											<td height="64">
				                                <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
													<tr>
														<td width="100%" height="64" style="background-image: url(images/XWW-20_17.jpg); background-repeat: repeat-x;  padding-left:59px" valign="middle">
														    <table cellpadding="0" cellspacing="0" border="0">
																<!--TOP MENU-->
																<tr>
																	<td width="26" style="background-position: center center;background-image: url(images/topmenu.jpg); background-repeat: no-repeat;"></td>
																	<td>
																		<div style="width:15px;"></div>
																	</td>
																	<xsl:call-template name="TOP-MENU"/>
																</tr>
																<!--END TOP MENU-->
															</table>
														</td>
														<td height="64" style="background-image: url(images/XWW-20_18.jpg); vertical-align: top; background-repeat: repeat-x; ">
															<div style="width: 17px; height: 0px"></div>
														</td>
													</tr>
				                                </table>
											</td>
										</tr>
			                            <tr>
											<td height="31">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
													<tr>
														<td width="453" height="31" style="background-image: url(images/XWW-20_19.jpg); background-repeat: repeat-x;  padding-left:102px"  valign="middle" align="left" >
															<table>
																<tr>
																	<!--TEXT HEADER-->
																	<td class="text-header ">
																		<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
																	</td>
																	<!--END TEXT HEADER-->
																</tr>
															</table>
														</td>
														<td height="31" style="background-image: url(images/XWW-20_20.jpg); vertical-align: top; background-repeat: repeat-x;">
															<div style="width: 17px; height: 0px"></div>
														</td>
													</tr>
												</table>
											</td>
			                            </tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
	                <td width= "310" height="271" style="background-image: url(images/header.jpg); background-repeat: no-repeat;">
	                    <div style="width: 310px; height:271px;"></div>
	                </td>
				</tr>
            </table>
        </td>
    </tr>
    <tr>
		<td>
            <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td width="69" style="background-image: url(images/XWW-20_21.jpg); background-repeat: repeat-y;">
						<div style="width: 69px; height: 130px"></div>
					</td>
	                <!--PAGE CONTENT-->
	                <td style="vertical-align: top; text-align: left; background-image: url(images/XWW-20_22.jpg); background-repeat: repeat; padding-left:35px;padding-right:30px;" class="pageContent " name="SB_staetch">
						<div style="width: 400px; height: 1px;"></div>
	                    <xsl:apply-templates select="PAGE-CONTENT"/>
	                </td>
	                <!--PAGE CONTENT-->
					<td width="1" style="background-image: url(images/XWW-20_23.jpg); vertical-align: top; background-repeat: repeat-y; text-align: left">
						<div style="width:1px"></div>
					</td>
					<td width="207" style="vertical-align: top;background-image: url(images/XWW-20_24.jpg); background-repeat: repeat; padding-left:12px">
						<div style="width: 207px;"></div>
						<table cellpadding="0" cellspacing="0" border="0" width="159">
							<!--<div style="width: 158px;"></div>-->
		                    <!--SUB MENU-->
							<xsl:call-template name="SUB-MENU">
								<xsl:with-param name="pageID" select="@ID"/>
		                    </xsl:call-template>
		                    <!--END SUB MENU-->
						</table>
					</td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
		<td height="96">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                <tr>
					<td align="center" valign="middle" style="background-image: url(images/XWW-20_25.jpg); background-repeat: repeat-x">
	                    <table cellpadding="0" cellspacing="0" border="0">
	                      <!--BOTTOM MENU-->
	                      <tr>
	                        <xsl:call-template name="BOTTOM-MENU"/>
	                      </tr>
	                      <!--BOTTOM MENU-->
	                    </table>
					</td>
	                <!--COPYRIGHTS-->
	                <td width="219" style="background-image: url(images/XWW-20_26.jpg); vertical-align: top; background-repeat: repeat-x; padding-left:20px; padding-top:20px;" class="footer">
						<div style="width: 200px; height: 0px"></div>
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
	                </td>
	                <!--ENd COPYRIGHTS-->
	            </tr>
            </table>
        </td>
    </tr>
</table>
      </body>
    </html>
  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td style="background-image: url(images/sub1.jpg);" width="11px" height="27px">
          </td>
          <td width="5px" height="27px" class="submenu-bg">
            <img src="images/sub4.jpg"  border="0"/>
          </td>
          <td  width="130px" height="27px" style="background-image: url(images/sub2.jpg);padding-left:5px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td style="background-image: url(images/sub3.jpg); " width="12px" height="7px">
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td style="background-image: url(images/sub1.jpg)" width="11px" height="7px">
            </td>
            <td width="5px" height="27px" class="submenu-bg">
              <a href="{@HREF}" >
                <img src="images/sub4.jpg"  border="0"/>
              </a>
            </td>
            <td style="background-image: url(images/sub2.jpg);padding-left:5px" width="130px" height="27px" >
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td style="background-image: url(images/sub3.jpg);" width="12px" height="27px">
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="4" height="4px">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        <td class="abmenu" style="padding-left:5px; padding-right:5px; text-align: center;">
          <a href="{@HREF}" class="abmenu" id="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      
      <xsl:otherwise>
        <td class="bmenu" style="padding-left:5px; padding-right:5px; text-align: center;" >
          <a href="{@HREF}" class="bmenu" id="bmenu{position()}">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td style="background-image: url(images/bottom.jpg);" width="1px">
        <div style="width:1px"></div>
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
